#!/bin/sh

DIR=`pwd`
echo "DIR: $DIR"

# Profile
ln -s $DIR/.profile ~/.profile

# ZSH shell!
ln -s $DIR/.zshrc ~/.zshrc
ln -s $DIR/.zprofile ~/.zprofile

# i3 config (<3 tiling WM)
mkdir ~/.config/i3
ln -s $DIR/.config/i3/config ~/.config/i3/config

# sway config (i3 za wayland)
mkdir ~/.config/sway
ln -s $DIR/.config/sway/config ~/.config/sway/config

# termite terminal (ok terminal za X)
mkdir ~/.config/termite
ln -s $DIR/.config/termite/config ~/.config/termite/config

# Kitty terminal (GL, wayland)
mkdir ~/.config/kitty
ln -s $DIR/.config/kitty/kitty.conf ~/.config/kitty/kitty.conf
ln -s $DIR/.config/kitty/solarized.conf ~/.config/kitty/solarized.conf
ln -s $DIR/.config/kitty/gruvbox.conf ~/.config/kitty/gruvbox.conf

# compton compositor (za X - transparence oken in efekti)
ln -s $DIR/.config/compton.conf ~/.config/compton.conf

# redshift (pordeci skrin, X)
ln -s $DIR/.config/redshift ~/.config/redshift

# i3 block, bolj fensi statusbar (ne uporabljam vec)
ln -s $DIR/.i3blocks.conf ~/.i3blocks.conf

# rofi launcher
mkdir ~/.local/rofi
ln -s $DIR/.local/rofi/config ~/.local/rofi/config
# ter gruvbox tema
mkdir -p ~/.config/rofi/themes
ln -s $DIR/.config/rofi/themes/gruvbox ~/.config/rofi/themes/gruvbox

# spacemacs, uizi emacs starter config
ln -s $DIR/.spacemacs ~/.spacemacs

# VIM!
ln -s $DIR/.vimrc ~/.vimrc

# barve v terminalu in neki detajli, X
ln -s $DIR/.Xresources ~/.Xresources

# ZSH login nastavitve (ni urejeno)
ln -s $DIR/.zlogin ~/.zlogin

# GIT konfiguracija
ln -s $DIR/.gitconfig ~/.gitconfig

# ZSH profile nastavitve (ni urejeno)
#ln -s $DIR/.profile ~/.profile
ln -s $DIR/.zprofile ~/.zprofile

# Razne uporabne skripte
mkdir ~/bin
# Screenshot skripta (wayland)
ln -s $DIR/bin/screenshot ~/bin/screenshot
# backup ukaz
ln -s $DIR/bin/backmeup ~/bin/backmeup
# transparenca neaktivnih oken na swayu
ln -s $DIR/bin/inactive-windows-transparency.py ~/bin/inactive-windows-transparency.py
# virtual piano keyboard na pulseaudiu!
ln -s $DIR/bin/png2ico ~/bin/png2ico
# png v ico konverzija
ln -s $DIR/bin/vmpk-pa ~/bin/vmpk-pa

# Guile
ln -s $DIR/.guile ~/.guile

# X11 popravki aplikacij
ln -s $DIR/applications/dbeaver.desktop ~/.local/share/applications/dbeaver.desktop
ln -s $DIR/applications/dbeaver.desktop ~/.local/share/applications/com.obsproject.Studio.desktop

# Emacs
mkdir ~/.emacs.d
ln -s $DIR/.emacs.d/init.el ~/.emacs.d/init.el

# SSH (timeout)
mkdir ~/.ssh
ln -s $DIR/.ssh/config ~/.ssh/config
